;; This file:
;;   http://angg.twu.net/emlua/emlua-buttons.el.html
;;   http://angg.twu.net/emlua/emlua-buttons.el
;;           (find-angg "emlua/emlua-buttons.el")
;; Author: Eduardo Ochs <eduardoochs@gmail.com>
;; See: (find-angg "LUA/TProps1.lua")
;;
;; (defun e () (interactive) (find-angg "emlua/emlua-buttons.el"))




(defun mkbutton--pp0 (sexp)
  (let ((header (format ";; %s\n" (ee-S sexp))))
    `(find-estring-elisp (concat ,header (ee-pp0 ,sexp)))))

(defun mkbutton--2a (text sexp)
  (buttonize text `(lambda (&rest rest) (find-2a nil ',sexp))))

(defun mkbutton-pp0 (text sexp)
  (mkbutton--2a
   text
   (mkbutton--pp0 sexp)))


;; Tests:
;;    (setq aa 22)
;;    (setq aa 33)
;;                 (mkbutton--pp0 'aa)
;;    (find-2a nil (mkbutton--pp0 'aa))
;;                 (mkbutton-pp0 "[aa]" 'aa)
;; (insert "\n;; " (mkbutton-pp0 "[aa]" 'aa))

' (insert
   "\n;; Buttons:"
   " " (mkbutton--2a "emlua-do"     '(find-emlua "emlua-repl.el" "emlua-do"))
   " " (mkbutton--2a "emlua-insert" '(find-emlua "emlua-repl.el" "emlua-insert"))
   )





;; Local Variables:
;; coding:  utf-8-unix
;; End:
